# Generated by Django 3.1.7 on 2021-05-30 10:22

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('examinator', '0004_auto_20210426_0152'),
    ]

    operations = [
        migrations.CreateModel(
            name='Pretplata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ispit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='examinator.ispit')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='KanalPretplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tip', models.CharField(choices=[('EML', 'email'), ('DSC', 'discord'), ('PSH', 'push')], default='EML', max_length=3)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('user', 'tip')},
            },
        ),
        migrations.CreateModel(
            name='EmailOdrediste',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254)),
                ('kanal_pretplate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='examinator.kanalpretplate')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DiscordOdrediste',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('discord_username', models.CharField(max_length=32)),
                ('discord_discriminator', models.CharField(max_length=4)),
                ('kanal_pretplate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='examinator.kanalpretplate')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
